function l = trova_esponente(M, l)
%PERIODO Determina l'ordine di M modulo n. 

% M matrice simmetrica 2x2, ne possiamo avere al massimo n^3
N = eye(2, 2);

for i = 1 : l^3
    N = mod(M * N, l);
    
    if all( N - eye(2) == 0, 'all' )
        l = i;
        return;
    end
end

error('Non esiste m tale che M^m = I');

end

